Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000407KdenliveFile Loadingpublic2008-11-24 18:232008-12-29 15:37
Reportercinephiliac 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.1 
Summary0000407: Kdenlive crashes when importing tif files
DescriptionWhen trying to add a tif file through the "Add clip" button, Kdenlive crashes the moment "OK" is clicked in the file browser.
Additional InformationThis is a confirmation of the bug mentioned in the kdenlive-devel email:
"kdenlive 07. crash"

Confirmed by me on:
Kdenlive Builder Wizard version: 0.7.1
ffmpeg: Revision: 15925 Last Changed Date: 2008-11-24 07:39:02 -0500 (Mon, 24 Nov 2008)
mlt: Revision: 1240 Last Changed Date: 2008-11-17 00:57:32 -0500 (Mon, 17 Nov 2008)
mlt++: Revision: 1240 Last Changed Date: 2008-11-06 00:32:23 -0500 (Thu, 06 Nov 2008)
kdenlive: Revision: 2728 Last Changed Date: 2008-11-24 06:15:54 -0500 (Mon, 24 Nov 2008)
Qt: 4.4.3
KDE: 4.1.3 (KDE 4.1.3)
Kdenlive: 0.7

STEPS TO REPRODUCE:
1. Click "Add clip" button.
2. Browse for a tif file and click OK.
3. Kdenlive crashes

NOTE: 2 Backtraces attached (one from user Steini, 1 from me)
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Filestxt file icon Steini_backtrace.txt [^] (31,219 bytes) 2008-11-24 18:34 [Show Content]
txt file icon cinephiliac_backtrace.txt [^] (25,139 bytes) 2008-11-24 18:34 [Show Content]

- Relationships

-  Notes
(0001381)
ddennedy (developer)
2008-11-24 18:50

It appears kdenlive assumes creating the mlt producer succeeds. It should prevent that and issue a warning. Not sure why the Qt4 TIFF ImageReader fails to load this. Ah... I think I see why. Try renaming the file with a .tiff extension instead of just .tif.
(0001383)
ddennedy (developer)
2008-11-24 18:54

I just made a change in MLT SVN r1241 to add support for .tif equivalent to .tiff.
(0001386)
cinephiliac (updater)
2008-11-24 20:02

Tested and marked as resolved. That was a fast one Dan. :)
(0001392)
madsdyd (administrator)
2008-11-24 21:15

Marking as resolved (again?)

- Issue History
Date Modified Username Field Change
2008-11-24 18:23 cinephiliac New Issue
2008-11-24 18:23 cinephiliac Build/Install Method => Build Wizard
2008-11-24 18:23 cinephiliac Status new => acknowledged
2008-11-24 18:34 cinephiliac File Added: Steini_backtrace.txt
2008-11-24 18:34 cinephiliac File Added: cinephiliac_backtrace.txt
2008-11-24 18:35 cinephiliac Additional Information Updated
2008-11-24 18:50 ddennedy Note Added: 0001381
2008-11-24 18:54 ddennedy Note Added: 0001383
2008-11-24 20:02 cinephiliac Note Added: 0001386
2008-11-24 20:02 cinephiliac Resolution open => fixed
2008-11-24 21:15 madsdyd Note Added: 0001392
2008-11-24 21:15 madsdyd Status acknowledged => resolved
2008-11-24 21:15 madsdyd Assigned To => madsdyd
2008-11-24 21:35 madsdyd Fixed in Version => Recent git
2008-11-24 21:36 madsdyd Assigned To madsdyd =>
2008-12-29 15:36 madsdyd Fixed in Version Recent git => 0.7.1
2008-12-29 15:37 madsdyd Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker